package com.dcsoft.system.service;

import java.util.List;

import com.dcsoft.system.domain.SysSpace;
import com.dcsoft.system.domain.vo.TreeSelect;

/**
 * 空间管理Service接口
 *
 * @author nichun
 * @date 2023-03-08
 */
public interface ISysSpaceService
{
    /**
     * 查询空间管理
     *
     * @param id 空间管理主键
     * @return 空间管理
     */
    public SysSpace selectSysSpaceById(Long id);

    /**
     * 查询空间管理列表
     *
     * @param sysSpace 空间管理
     * @return 空间管理集合
     */
    public List<SysSpace> selectSysSpaceList(SysSpace sysSpace);

    /**
     * 新增空间管理
     *
     * @param sysSpace 空间管理
     * @return 结果
     */
    public int insertSysSpace(SysSpace sysSpace);

    /**
     * 修改空间管理
     *
     * @param sysSpace 空间管理
     * @return 结果
     */
    public int updateSysSpace(SysSpace sysSpace);

    /**
     * 批量删除空间管理
     *
     * @param ids 需要删除的空间管理主键集合
     * @return 结果
     */
    public int deleteSysSpaceByIds(Long[] ids);

    /**
     * 删除空间管理信息
     *
     * @param id 空间管理主键
     * @return 结果
     */
    public int deleteSysSpaceById(Long id);

    public List<TreeSelect> selectSpaceTreeList(SysSpace space);

    /**
     * 构建前端所需要树结构
     *
     * @param spaces 部门列表
     * @return 树结构列表
     */
    public List<SysSpace> buildSpaceTree(List<SysSpace> spaces);

    /**
     * 构建前端所需要下拉树结构
     *
     * @param spaces 部门列表
     * @return 下拉树结构列表
     */
    public List<TreeSelect> buildSpaceTreeSelect(List<SysSpace> spaces);
}
